#!/bin/bash
echo "Welcome!"

version="1.0.1"
platform="linux/amd64,linux/arm64"
localRegistryPass="**********"
databaseConnection="#########"

echo "Login to alpine-nexus registry."
docker login --username=admin --password=$localRegistryPass alpine-nexus:8500

echo "Create docker image with version $version for platform $platform"
docker buildx build \
	--build-arg APP_VERSION=$version \
	--build-arg DATABASE_CONNECTION=$databaseConnection \
	--platform $platform \
	--output=type=image,push=true,registry.insecure=true \
	--push \
	--tag alpine-nexus:8500/chatbot/chatbot-api:$version \
	-f "Chatbot.Api/Dockerfile" .

echo "Done!"